// ThreadEvent.cpp: Implementierung der Klasse ThreadEvent.
//
//////////////////////////////////////////////////////////////////////

#include "threadevent.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

ThreadEvent::ThreadEvent( QString p_qsMsg )
	: QCustomEvent( THREAD_EVENT ), m_qsMsg( p_qsMsg )
{
}

ThreadEvent::~ThreadEvent()
{
}

ThreadErrorEvent::ThreadErrorEvent( QString p_qsMsg, AMCError& p_theError )
	: QCustomEvent( THREAD_ERROR_EVENT ), m_theErr( p_theError ), m_qsMsg( p_qsMsg )
{
}

ThreadErrorEvent::~ThreadErrorEvent()
{
}
